Plug-ins > iCal Manipulator Announcements & Version Updates

iCal Manipulator v2.0.1.0 is verified compatible with macOS Sierra

(1/1)

Admin:
iCal Manipulator v2.0.1.0 is verified compatible with macOS 10.10 10.12.

For more information please visit www.icalmanipulator.com.

Navigation

[0] Message Index

Go to full version